- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ProgramObject File Reference

`#include <osg/State>`
`#include <osg/StateAttribute>`
`#include <osg/buffered_value>`
`#include <osg/ref_ptr>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osgGL2/Export>`
`#include <osgGL2/Extensions>`
`#include <osgGL2/UniformValue>`
`#include <string>`
`#include <vector>`

Include dependency graph for ProgramObject:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgGL2
## Classes
class | osgGL2::ProgramObject
| osgGL2::ProgramObject is an application-level abstraction of the OpenGL Shading Language glProgramObject. More...
class | osgGL2::ProgramObject::PerContextProgObj
| PCPO is an OSG-internal encapsulation of glProgramObjects per-GL context. More...
class | osgGL2::ShaderObject
| osgGL2::ShaderObject is an application-level abstraction of the OpenGL Shading Language glShaderObject. More...
class | osgGL2::ShaderObject::PerContextShaderObj
| PCSO is an OSG-internal encapsulation of glShaderObjects per-GL context. More...
## Defines
#define | OSGGL2_PROGRAMOBJECT 1
## Typedefs
typedef osg::ref_ptr< ProgramObject > | osgGL2::ProgramObjectPtr
typedef osg::ref_ptr< ShaderObject > | osgGL2::ShaderObjectPtr

## Define Documentation

#define OSGGL2_PROGRAMOBJECT 1